# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`nifi_toolkit`](#nifi_toolkit): Install Apache NiFi Toolkit

## Classes

### nifi_toolkit

Install Apache NiFi Toolkit

#### Examples

##### Defaults

```puppet
include nifi_toolkit
```

##### Downloading from a different repository

```puppet
class { 'nifi_toolkit':
  download_url => 'https://repo.local/nifi/nifi-toolkit-1.10.0.tar.gz',
}
```

#### Parameters

The following parameters are available in the `nifi_toolkit` class.

##### `version`

Data type: `String`

The version of Apache NiFi Toolkit. This must match the version in
the tarball.

Default value: '1.11.3'

##### `download_url`

Data type: `String`

Where to download the binary installation tarball from.

Default value: 'http://mirrors.ibiblio.org/apache/nifi/1.11.3/nifi-toolkit-1.11.3-bin.tar.gz'

##### `download_checksum`

Data type: `String`

The expected checksum of the downloaded tarball. This is used for
verifying the integrity of the downloaded tarball.

Default value: '288179eeefe20c609644132c02fd989bd975eabe97ed14b52f0aa80a9d502757'

##### `download_checksum_type`

Data type: `String`

The checksum type of the downloaded tarball. This is used for
verifying the integrity of the downloaded tarball.

Default value: 'sha256'

##### `install_root`

Data type: `Stdlib::Absolutepath`

The root directory of the nifi toolkit installation.

Default value: '/opt/nifi-toolkit'

##### `download_tmp_dir`

Data type: `Stdlib::Absolutepath`



Default value: '/var/tmp'

